$ save_verify = 'f$verify(0)'
$!
$!  File:	FAKE_FILESERV.COM
$!
$!  Author:	Hunter Goatley
$!
$!  Date:	October 30, 1991
$!
$!  Abstract:
$!
$!	This command procedure is used to mail FILESERV packages to network
$!	addresses.  It was written primarily to make it easy to resend
$!	packages to addresses that bounced the first time.
$!
$!	This procedure expects to be located in the FILESERV top-level
$!	directory!
$!
$!  Inputs:
$!
$!	P1	= The package name (must match a subdirectory in the
$!		  FILESERV directory).  If P1 is not specified, the user
$!		  will be prompted for the package name.
$!	P2	= The network address of the recipient.  MX%"" should *not*
$!		  be specified; this procedure assumes MX is used.  If P2
$!		  is not specified, the user will be prompted for the address.
$!
$ proc = f$environment("PROCEDURE")
$ fileserv_dir = f$parse(proc,,,"DEVICE") + f$parse(proc,,,"DIRECTORY")
$ on error then goto common_exit
$ on contrl_y then goto common_exit
$ say := write sys$output
$!
$! Get package name
$!
$ package = p1
$ get_package:
$	if package.eqs.""
$	then	read/error=common_exit sys$command package/prompt="Package? "
$		goto get_package
$	else	package = f$edit(package,"UPCASE")
$		dirspec = f$parse(package,"''fileserv_dir'.DIR")
$		if f$search(dirspec) .eqs.""
$		then say "Package ''package' not found"
$		     package = ""
$		     goto get_package
$		endif
$	endif
$ receiver = p2
$ get_receiver:
$	if receiver.eqs.""
$	then	read/error=common_exit sys$command receiver/prompt="Address? "
$		goto get_receiver
$	else	receiver = receiver - "MX%" - "mx%" - "Mx%" - "mX%"
$		receiver = receiver - """" - """"
$		rlen = f$length(receiver)
$		if f$locate("@",receiver).eqs.rlen
$		then	say "Invalid Internet address given"
$			receiver = ""
$			goto get_receiver
$		endif
$	endif
$!
$ p1 = ""
$ p2 = ""
$ say "Sending package ''package' to ''receiver'"
$ read/error=common_exit sys$command ok/prompt="OK <Y>? "
$ if ok.eqs."" then ok = "Y"
$ if .not.ok
$ then	package = ""
$	receiver = ""
$	goto get_package
$ endif
$ dirspec = fileserv_dir - "]" + ".''package']"
$ mail_loop:
$	file = f$search("''dirspec'''package'.*;")
$	if file.nes.""
$	then	subj=f$parse(file,"","","NAME") + f$parse(file,"","","TYPE")
$		say "Mailing ''file'...."
$		mail/subj="''subj'" 'file' MX%"""''receiver'"""
$		goto mail_loop
$	endif
$ say "Package ''package' sent to ''receiver'"
$ common_exit:
$	exit f$verify(save_verify).or.1
